Volumes & Backups
Update Config
Authorization
write AuthorizationBearer <token>
Personal access token whose scope satisfies write.
In: header
Path Parameters
projectId*string
Format
uuiddatabaseId*string
Format
uuidconfigId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/databases/497f6eca-6276-4993-bfeb-53cbbbba6f08/backup-configs/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "all_databases": true, "created_at": "2019-08-24T14:15:22Z", "database_id": "string", "databases": [ "string" ], "destination_id": "string", "enabled": true, "id": "string", "keep_latest": 0, "last_run_at": "2019-08-24T14:15:22Z", "prefix": "string", "schedule": "string", "updated_at": "2019-08-24T14:15:22Z"}